Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6239 - X went beserk with gettimeofday and hung.
Summary: X went beserk with gettimeofday and hung.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-22 13:48 UTC by Telsa Gwynne
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 21:48:28 UTC


Attachments (Terms of Use)

Description Telsa Gwynne 1999-10-22 13:48:31 UTC
RH Linux 6.1, but with a kernel I built (removed a lot of
irrelevant-to-me stuff). Cyrix MediaGX chip. Possibly
relevant package list at end.

I leave X (and Gnome) running for long periods of time (days
to weeks) and this is usually fine. If it's relevant I can
probably come up with a list of all the things that were
running at the time: it was mostly a lot of gnome-terminals,
netscape and gnome's freecell when this happened:

X just hung. Attempting to switch "workspace" with window
maker (I thought it was the app I was using that had gone
bang) had no effect. Control-alt-F1, F2 etc had no effect.
Control-alt-backspace (!) had no effect. No disk activity.

Telnetted in from another machine and on 'top', X was
sitting at 99% of CPU fairly solidly. Lots and lots and
_lots_ of gettimeofday() requests zooming up the screen
with strace. Tried to shoot various apps to see if this
had any effect (nope) and then killed the X process: also
didn't work. Eventually shot it with kill SEGV. Want a
core file? :) (file reports it as a core of ld-linux.so.2
for some reason)

XFree86 package list.
[hobbit@aloss ~]$ rpm -qa | grep XFree
XFree86-SVGA-3.3.5-3
XFree86-VGA16-3.3.5-3
XFree86-xfs-3.3.5-3
XFree86-cyrillic-fonts-3.3.5-3
XFree86-libs-3.3.5-3
XFree86-XF86Setup-3.3.5-3
XFree86-3.3.5-3
XFree86-100dpi-fonts-3.3.5-3
XFree86-75dpi-fonts-3.3.5-3
XFree86-devel-3.3.5-3

Comment 1 Preston Brown 2000-02-03 21:48:59 UTC
bummer. :)  I have no idea what happened here.  We need to make the bug
reproducible to track it down.


Note You need to log in before you can comment on or make changes to this bug.